From Donald Guy, 2 Weeks ago, written in Plain Text.
Embed
  1. ❯ /opt/homebrew/opt/python@3.9/libexec/bin/python scripts/mkvenv.py --pyqt-version 6.3
  2.  
  3. ==================== Creating virtual environment ====================
  4. $ python3 -m venv .venv
  5.  
  6. ==================== Upgrading initial packages ====================
  7. venv$ pip install -U pip
  8. Requirement already satisfied: pip in ./.venv/lib/python3.9/site-packages (22.1.1)
  9. Collecting pip
  10.   Downloading pip-22.1.2-py3-none-any.whl (2.1 MB)
  11.      ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 2.1/2.1 MB 13.1 MB/s eta 0:00:00
  12. Installing collected packages: pip
  13.   Attempting uninstall: pip
  14.     Found existing installation: pip 22.1.1
  15.     Uninstalling pip-22.1.1:
  16.       Successfully uninstalled pip-22.1.1
  17. Successfully installed pip-22.1.2
  18. venv$ pip install -U setuptools wheel
  19. Requirement already satisfied: setuptools in ./.venv/lib/python3.9/site-packages (62.3.2)
  20. Collecting setuptools
  21.   Downloading setuptools-62.4.0-py3-none-any.whl (1.2 MB)
  22.      ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.2/1.2 MB 11.7 MB/s eta 0:00:00
  23. Collecting wheel
  24.   Downloading wheel-0.37.1-py2.py3-none-any.whl (35 kB)
  25. Installing collected packages: wheel, setuptools
  26.   Attempting uninstall: setuptools
  27.     Found existing installation: setuptools 62.3.2
  28.     Uninstalling setuptools-62.3.2:
  29.       Successfully uninstalled setuptools-62.3.2
  30. Successfully installed setuptools-62.4.0 wheel-0.37.1
  31.  
  32. ==================== Installing PyQt from binary ====================
  33. No proprietary codec support will be available in qutebrowser.
  34. arm64 is not a supported architecture for PyQt binaries on darwin, this will most likely fail.
  35. venv$ pip install -r /Users/donald/qutebrowser/misc/requirements/requirements-pyqt-6.3.txt --only-binary PyQt5,PyQtWebEngine,PyQt6,PyQt6-WebEngine
  36. Collecting PyQt6==6.3.0
  37.   Downloading PyQt6-6.3.0-cp37-abi3-macosx_10_14_universal2.whl (11.6 MB)
  38.      ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 11.6/11.6 MB 25.4 MB/s eta 0:00:00
  39. Collecting PyQt6-Qt6==6.3.0
  40.   Downloading PyQt6_Qt6-6.3.0-py3-none-macosx_11_0_arm64.whl (32.2 MB)
  41.      ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 32.2/32.2 MB 24.5 MB/s eta 0:00:00
  42. Collecting PyQt6-sip==13.3.1
  43.   Downloading PyQt6_sip-13.3.1.tar.gz (108 kB)
  44.      ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 108.3/108.3 kB 4.3 MB/s eta 0:00:00
  45.   Installing build dependencies ... done
  46.   Getting requirements to build wheel ... done
  47.   Preparing metadata (pyproject.toml) ... done
  48. Collecting PyQt6-WebEngine==6.3.0
  49.   Downloading PyQt6_WebEngine-6.3.0-cp37-abi3-macosx_10_14_universal2.whl (358 kB)
  50.      ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 358.3/358.3 kB 10.5 MB/s eta 0:00:00
  51. Collecting PyQt6-WebEngine-Qt6==6.3.0
  52.   Downloading PyQt6_WebEngine_Qt6-6.3.0-py3-none-macosx_11_0_arm64.whl (83.9 MB)
  53.      ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 83.9/83.9 MB 20.3 MB/s eta 0:00:00
  54. Building wheels for collected packages: PyQt6-sip
  55.   Building wheel for PyQt6-sip (pyproject.toml) ... done
  56.   Created wheel for PyQt6-sip: filename=PyQt6_sip-13.3.1-cp39-cp39-macosx_12_0_arm64.whl size=70936 sha256=8ec2e64be40ff5c1ff2ae71afaef863e664b49acb0bf84765c5abf3e8ed729fa
  57.   Stored in directory: /Users/donald/Library/Caches/pip/wheels/22/93/8a/acf57e9621f8e8930dd506a5c1b02dd4c8ed5a703618f6c1b7
  58. Successfully built PyQt6-sip
  59. Installing collected packages: PyQt6-WebEngine-Qt6, PyQt6-Qt6, PyQt6-sip, PyQt6, PyQt6-WebEngine
  60. Successfully installed PyQt6-6.3.0 PyQt6-Qt6-6.3.0 PyQt6-WebEngine-6.3.0 PyQt6-WebEngine-Qt6-6.3.0 PyQt6-sip-13.3.1
  61.  
  62. ==================== Running xcb-util workaround ====================
  63. Workaround not needed: Not on Linux.
  64.  
  65. ==================== Installing other qutebrowser dependencies ====================
  66. venv$ pip install -r /Users/donald/qutebrowser/requirements.txt
  67. Ignoring importlib-metadata: markers 'python_version == "3.7.*"' don't match your environment
  68. Ignoring importlib-resources: markers 'python_version == "3.7.*" or python_version == "3.8.*"' don't match your environment
  69. Ignoring typing_extensions: markers 'python_version < "3.8"' don't match your environment
  70. Collecting adblock==0.5.2
  71.   Downloading adblock-0.5.2-cp36-abi3-macosx_10_9_x86_64.macosx_11_0_arm64.macosx_10_9_universal2.whl (3.3 MB)
  72.      ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 3.3/3.3 MB 18.3 MB/s eta 0:00:00
  73. Collecting colorama==0.4.4
  74.   Downloading colorama-0.4.4-py2.py3-none-any.whl (16 kB)
  75. Collecting Jinja2==3.1.2
  76.   Downloading Jinja2-3.1.2-py3-none-any.whl (133 kB)
  77.      ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 133.1/133.1 kB 5.1 MB/s eta 0:00:00
  78. Collecting MarkupSafe==2.1.1
  79.   Downloading MarkupSafe-2.1.1-cp39-cp39-macosx_10_9_universal2.whl (17 kB)
  80. Collecting Pygments==2.12.0
  81.   Downloading Pygments-2.12.0-py3-none-any.whl (1.1 MB)
  82.      ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.1/1.1 MB 17.1 MB/s eta 0:00:00
  83. Collecting PyYAML==6.0
  84.   Downloading PyYAML-6.0-cp39-cp39-macosx_11_0_arm64.whl (173 kB)
  85.      ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 174.0/174.0 kB 6.1 MB/s eta 0:00:00
  86. Collecting zipp==3.8.0
  87.   Downloading zipp-3.8.0-py3-none-any.whl (5.4 kB)
  88. Installing collected packages: zipp, PyYAML, Pygments, MarkupSafe, colorama, adblock, Jinja2
  89. Successfully installed Jinja2-3.1.2 MarkupSafe-2.1.1 PyYAML-6.0 Pygments-2.12.0 adblock-0.5.2 colorama-0.4.4 zipp-3.8.0
  90.  
  91. ==================== Installing qutebrowser ====================
  92. venv$ pip install -e /Users/donald/qutebrowser
  93. Obtaining file:///Users/donald/qutebrowser
  94.   Preparing metadata (setup.py) ... done
  95. Requirement already satisfied: jinja2 in ./.venv/lib/python3.9/site-packages (from qutebrowser==2.5.0) (3.1.2)
  96. Requirement already satisfied: PyYAML in ./.venv/lib/python3.9/site-packages (from qutebrowser==2.5.0) (6.0)
  97. Requirement already satisfied: MarkupSafe>=2.0 in ./.venv/lib/python3.9/site-packages (from jinja2->qutebrowser==2.5.0) (2.1.1)
  98. Installing collected packages: qutebrowser
  99.   Running setup.py develop for qutebrowser
  100. Successfully installed qutebrowser-2.5.0
  101.  
  102. ==================== Running Qt smoke test ====================
  103. Python: 3.9.13 (main, May 24 2022, 21:13:51)
  104. [Clang 13.1.6 (clang-1316.0.21.2)]
  105. qVersion: 6.3.0
  106. QT_VERSION_STR: 6.3.0
  107. PYQT_VERSION_STR: 6.3.0
  108. Qt seems to work properly!
  109.  
  110. qt.core.plugin.factoryloader: checking directory path "/Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/platforms" ...
  111. qt.core.plugin.factoryloader: looking at "/Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/platforms/libqcocoa.dylib"
  112. qt.core.plugin.loader: Found metadata in lib /Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/platforms/libqcocoa.dylib, metadata=
  113. {
  114.     "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
  115.     "MetaData": {
  116.         "Keys": [
  117.             "cocoa"
  118.         ]
  119.     },
  120.     "archlevel": 0,
  121.     "className": "QCocoaIntegrationPlugin",
  122.     "debug": false,
  123.     "version": 393984
  124. }
  125.  
  126.  
  127. qt.core.plugin.factoryloader: Got keys from plugin meta data QList("cocoa")
  128. qt.core.plugin.factoryloader: looking at "/Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/platforms/libqminimal.dylib"
  129. qt.core.plugin.loader: Found metadata in lib /Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/platforms/libqminimal.dylib, metadata=
  130. {
  131.     "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
  132.     "MetaData": {
  133.         "Keys": [
  134.             "minimal"
  135.         ]
  136.     },
  137.     "archlevel": 0,
  138.     "className": "QMinimalIntegrationPlugin",
  139.     "debug": false,
  140.     "version": 393984
  141. }
  142.  
  143.  
  144. qt.core.plugin.factoryloader: Got keys from plugin meta data QList("minimal")
  145. qt.core.plugin.factoryloader: looking at "/Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/platforms/libqoffscreen.dylib"
  146. qt.core.plugin.loader: Found metadata in lib /Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/platforms/libqoffscreen.dylib, metadata=
  147. {
  148.     "IID": "org.qt-project.Qt.QPA.QPlatformIntegrationFactoryInterface.5.3",
  149.     "MetaData": {
  150.         "Keys": [
  151.             "offscreen"
  152.         ]
  153.     },
  154.     "archlevel": 0,
  155.     "className": "QOffscreenIntegrationPlugin",
  156.     "debug": false,
  157.     "version": 393984
  158. }
  159.  
  160.  
  161. qt.core.plugin.factoryloader: Got keys from plugin meta data QList("offscreen")
  162. qt.core.plugin.factoryloader: checking directory path "/opt/homebrew/Cellar/python@3.9/3.9.13_1/Frameworks/Python.framework/Versions/3.9/Resources/Python.app/Contents/MacOS/platforms" ...
  163. qt.core.library: "/Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/platforms/libqcocoa.dylib" loaded library
  164. qt.core.plugin.factoryloader: checking directory path "/Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/platformthemes" ...
  165. qt.core.plugin.factoryloader: checking directory path "/opt/homebrew/Cellar/python@3.9/3.9.13_1/Frameworks/Python.framework/Versions/3.9/Resources/Python.app/Contents/MacOS/platformthemes" ...
  166. qt.core.plugin.factoryloader: checking directory path "/Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/styles" ...
  167. qt.core.plugin.factoryloader: looking at "/Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/styles/libqmacstyle.dylib"
  168. qt.core.plugin.loader: Found metadata in lib /Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/styles/libqmacstyle.dylib, metadata=
  169. {
  170.     "IID": "org.qt-project.Qt.QStyleFactoryInterface",
  171.     "MetaData": {
  172.         "Keys": [
  173.             "macOS"
  174.         ]
  175.     },
  176.     "archlevel": 0,
  177.     "className": "QMacStylePlugin",
  178.     "debug": false,
  179.     "version": 393984
  180. }
  181.  
  182.  
  183. qt.core.plugin.factoryloader: Got keys from plugin meta data QList("macos")
  184. qt.core.plugin.factoryloader: checking directory path "/opt/homebrew/Cellar/python@3.9/3.9.13_1/Frameworks/Python.framework/Versions/3.9/Resources/Python.app/Contents/MacOS/styles" ...
  185. qt.core.library: "/Users/donald/qutebrowser/.venv/lib/python3.9/site-packages/PyQt6/Qt6/plugins/styles/libqmacstyle.dylib" loaded library
  186.  
  187. Smoke test failed with status -11. You might find additional information in the debug output above.
  188.